﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataGridLabelTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ViewModel vm = new ViewModel();
            this.DataContext = vm;
        }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            SourceCollection = new ObservableCollection<CustomItem>();
            SourceCollection.Add(new CustomItem() { IsChecked = true });
            SourceCollection.Add(new CustomItem() { IsChecked = false });
            SourceCollection.Add(new CustomItem() { IsChecked = true });

            IsLabelChecked = true;
        }

        public ObservableCollection<CustomItem> SourceCollection { get; set; }

        public bool IsLabelChecked { get; set; }
    }

    public class CustomItem
    {
        public bool IsChecked { get; set; }
    }
}
